Update product information
curl --request PUT \
--url https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "<string>",
"productId": "<string>",
"active": true,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}"
payload = {
"storeId": "<string>",
"productId": "<string>",
"active": True,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: '<string>',
productId: '<string>',
active: true,
priceInfo: {price: 123, pointPrice: 123},
scheduledActiveStatus: '2023-11-07T05:31:56Z',
scheduledInactiveStatus: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'storeId' => '<string>',
'productId' => '<string>',
'active' => true,
'priceInfo' => [
'price' => 123,
'pointPrice' => 123
],
'scheduledActiveStatus' => '2023-11-07T05:31:56Z',
'scheduledInactiveStatus' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}"
payload := strings.NewReader("{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Product updated successfully"
}{
"message": "Bad request"
}Productos
Este endpoint permite actualizar la información del producto.
This endpoint allows you to update product information
PUT
/
api
/
v3
/
products
/
{vendorId}
Update product information
curl --request PUT \
--url https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "<string>",
"productId": "<string>",
"active": true,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}"
payload = {
"storeId": "<string>",
"productId": "<string>",
"active": True,
"priceInfo": {
"price": 123,
"pointPrice": 123
},
"scheduledActiveStatus": "2023-11-07T05:31:56Z",
"scheduledInactiveStatus": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: '<string>',
productId: '<string>',
active: true,
priceInfo: {price: 123, pointPrice: 123},
scheduledActiveStatus: '2023-11-07T05:31:56Z',
scheduledInactiveStatus: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'storeId' => '<string>',
'productId' => '<string>',
'active' => true,
'priceInfo' => [
'price' => 123,
'pointPrice' => 123
],
'scheduledActiveStatus' => '2023-11-07T05:31:56Z',
'scheduledInactiveStatus' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}"
payload := strings.NewReader("{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artisn.desarrollo-redbrand.com/api/api/v3/products/{vendorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"storeId\": \"<string>\",\n \"productId\": \"<string>\",\n \"active\": true,\n \"priceInfo\": {\n \"price\": 123,\n \"pointPrice\": 123\n },\n \"scheduledActiveStatus\": \"2023-11-07T05:31:56Z\",\n \"scheduledInactiveStatus\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Product updated successfully"
}{
"message": "Bad request"
}Authorizations
Body
application/json

